"$schema" = 'https://starship.rs/config-schema.json'

add_newline = false

format = """
[┌─](dimmed) $shlvl${env_var.ZMX_SESSION}$kubernetes$directory${custom.jj}$docker_context$package$cmake$dart$elixir$elm$erlang$golang$java$lua$nodejs$perl$php$python$rust$terraform$vagrant$zig$nix_shell$memory_usage$aws$env_var$fill $sudo$username$hostname$cmd_duration$time\
$line_break\
[└─](dimmed)$jobs$battery$status$shell$character"""

scan_timeout = 10

[character]
success_symbol = "[❯](bold green)"
error_symbol = "[✗](bold red)"

[cmd_duration]
show_notifications = false

[directory]
fish_style_pwd_dir_length = 3
truncate_to_repo = false

[fill]
symbol = "."
style = "dimmed"

[env_var.ZMX_SESSION]
symbol = " "
format = "[$symbol$env_value]($style) "
description = "zmx session name"
style = "bold magenta"

[git_metrics]
disabled = false

[golang]
symbol = "(bold blue)go "

[hostname]
trim_at = ""
format = "on [$hostname]($style) "

[time]
format = "at [$time](dimmed cyan)"
disabled = false

[username]
format = "[$user]($style) "

[custom.jj]
when = "jj-starship detect"
shell = ["jj-starship", "--no-git-id"]
format = "$output "

[git_branch]
disabled = true

[git_status]
disabled = true
